<template>
  <div id="app" class="max-w-screen-xl mx-auto">
    <h1>Home page</h1>

    <div class="flex flex-wrap">
      <HourlyItem v-for="(item, key) of hourly" :key="key" :hourly="item" />
    </div>

    <AppSelect :options="options" v-model="user" />

    <label>Format Number</label>
    <AppCurrency v-model="num" type="integer" :max="10000" />
    <AppCurrency v-model="num2" :max="10000" />
  </div>
</template>

<script setup>
import { ref } from 'vue';
import axios from 'axios';
import HourlyItem from './HourlyItem.vue';

const hourly = ref([]);
const user = ref(1);
const num = ref(0);
const num2 = ref();
const options = [
  {
    value: 1,
    title: 'Shane'
  },
  {
    value: 2,
    title: 'John'
  },
  {
    value: 3,
    title: 'Jame'
  }
];

const getData = async () => {
  const response = await axios({
    method: 'get',
    url: 'https://api.darksky.net/forecast/1d22e25144b482cea2e9ad58a0bb15d4/21.0285,105.8048'
  });

  hourly.value = response.data.hourly.data;
};
getData();
</script>
